package expressionprog;

/**
 * A program item that represents a constant number, to
 * be pushed onto the stack.
 */
public class Number extends ProgramItem {
	
	private final double value;
	
	public Number(double x) {
		value = x;
	}
	
	/**
	 * Returns the number that this program item represents.
	 */
	public double getValue() {
		return value;
	}

	/**
	 * Returns a string describing the action of this program item on a stack.
	 */
	public String toString() {
		return "Push number " + value;
	}

}
