package expressionprog;

/**
 * Represents one item in a "program" for a stack machine.
 * A complete program represents an arithmetic expression in postfix
 * form, and the ProgramItems represent stack operations.  This is
 * an abstract class.  Subclasses of ProgramItem represent specific
 * stack operations.  For example, Variable represents the action
 * of pushing the value of a variable onto the stack, and BinOp
 * represents the action of popping two values off the stack,
 * applying some operation to them, and pushing the result back
 * onto the stack.
 */
public abstract class ProgramItem {

}
