package expressionprog;

/**
 * A program item that represents a variable.  The value of the variable
 * is pushed onto the stack.
 */
public class Variable extends ProgramItem {
	
	private final String name;
	
	public Variable(String variableName) {
		if (variableName == null)
			throw new IllegalArgumentException("null names not allowed");
		name = variableName;
	}
	
	/**
	 * Returns the name of the variable that this program item represents.
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Returns a string describing the action of this program item on a stack.
	 */
	public String toString() {
		return "Push value of variable " + name;
	}

}
